## designate 18.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=1.8.0 # MIT
eventlet>=0.26.1 # MIT
Flask!=0.11,>=0.10 # BSD
greenlet>=0.4.15 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
openstacksdk>=0.103.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.15.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=3.1.1 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=2.12.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
SQLAlchemy>=1.4.41 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
dnspython>=2.2.1  # http://www.dnspython.org/LICENSE
oslo.db>=8.3.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.context>=4.0.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0

=== debian/changelog ===
designate (1:18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:03:23 +0100

designate (1:18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/disable-edgegrid.patch,series: Drop patch to make edgegrid
    optional as this is the default upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 13:36:08 +0000

designate (1:17.0.1+git2024011916.002005a4-0ubuntu2) noble; urgency=medium

  * d/p/disable-edgegrid.patch: Restore patch dropped by mistake in
    previous upload, making python3-edgegrid an optional dependency
    again.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Feb 2024 15:57:48 +0000

designate (1:17.0.1+git2024011916.002005a4-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-nameserver-tests.patch: Drop, no longer needed.
  * d/p/*: Tidy obsolete patches.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 16:19:11 +0000

=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
Build-Depends-Indep:
 python3-alembic (>= 1.8.1),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-designateclient (>= 2.12.0),
 python3-dnspython (>= 2.2.1),
 python3-doc8 (>= 0.6.0),
 python3-edgegrid (>= 1.1.1),
 python3-eventlet (>= 0.26.1),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.103.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:4.0.0),
 python3-oslo.db (>= 8.3.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.15.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 3.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pygments (>= 2.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.2.0),
 python3-sqlalchemy (>= 1.4.41),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.9),
 python3-zake (>= 0.1.6),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
Homepage: https://opendev.org/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-common
Architecture: all
Depends:
 adduser,
 sqlite3,
 ${misc:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service.

Package: designate-sink
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-worker
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service.

Package: designate-zone-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: python3-designate
Section: python
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-alembic (>= 1.8.1),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.12.0),
 python3-dnspython (>= 2.2.1),
 python3-eventlet (>= 0.26.1),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.103.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:4.0.0),
 python3-oslo.db (>= 8.3.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.15.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 3.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.0.0),
 python3-requests (>= 2.23.0),
 python3-sqlalchemy (>= 1.4.41),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tenacity (>= 6.0.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-edgegrid (>= 1.1.1),
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack DNS as a Service - Python 3 libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python 3 libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate/ designate-(\d.*)\.tar\.gz

## designate 18.1.0

=== debian/changelog ===
designate (1:18.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream relaese.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 09:56:18 +0000

designate (1:18.0.0-5) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:16:32 +0200

designate (1:18.0.0-4) unstable; urgency=medium

  * Removed python3-migrate from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 04:39:31 +0200

designate (1:18.0.0-3) unstable; urgency=medium

  [ Axel Jacquet ]
  * Add fix-regex-to-create-floating-ptr.patch.
  * Update add-new-floatingip-handler.patch so it works in Caracal.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2024 12:06:45 +0200

designate (1:18.0.0-2) unstable; urgency=medium

  * Add Fix_unit_tests_depending_on_resolv.conf.patch (Closes: #1070332).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 May 2024 13:58:59 +0200

designate (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:08:43 +0200

designate (1:18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 12:15:17 +0100

=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-coverage,
 python3-designateclient,
 python3-dnspython,
 python3-edgegrid,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-greenlet,
 python3-hacking,
 python3-jinja2,
 python3-jsonschema,
 python3-kerberos,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.103.0),
 python3-os-api-ref <!nodoc>,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-requests-mock <!nocheck>,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webob,
 python3-webtest <!nocheck>,
 sqlite3,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate
Vcs-Git: https://salsa.debian.org/openstack-team/services/designate.git
Homepage: https://github.com/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 designate-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 debconf,
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server, accepting HTTP requests, validating
 authentication tokens with Keystone and passing them to the Designate Central
 service over AMQP. Multiple versions of the API can be hosted, as well as API
 extensions, allowing for pluggable extensions to the core API.

Package: designate-central
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon. It is the service that handles RPC
 requests via the MQ, it coordinates the persistent storage of data and applies
 business logic to data from the API.

Package: designate-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-designate (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains common files.

Package: designate-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mini-dns service. It is the service that sends DNS
 NOTIFY and answers zone transfer (AXFR) requests. This allows Designate to
 integrate with any DNS server that supports these very standard methods of
 communicating. designate-mdns also encapsulates all other forms of DNS
 protocol that Designate performs. For example, sending SOA queries to check
 that a change is live.

Package: designate-pool-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service. It is a service that handles the
 invocation of long-running and potentially large jobs. Producer processes
 start work for an automatically assigned shard of the zones Designate manages.
 Shards are allocated based on the first three characters of the zone ID (a
 UUID field). The number of shards under management of a single producer
 process is equal to the total number of shards divided by the number of
 producer processes. This means the more producer processes are started, the
 less work is created at any one time.
 .
 The current implemented tasks in producer include emitting dns.zone.exists
 events for Ceilometer, purging deleted zones from database, polling secondary
 zones at their refresh intervals, generating delayed NOTIFY transactions, and
 invoking a periodic recovery of zones in an error state.

Package: designate-sink
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service. It is an optional service which
 listens for event Notifications, such as compute.instance.create.end, handlers
 are available for Nova and Neutron. Notification events can then be used to
 trigger record creation & deletion.
 .
 The current sink implementations generate simple forward lookup A records,
 using a format specified in handler-nova configuration. Any field in the event
 notification can be used to generate a record.

Package: designate-worker
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service. It is a service that manages state
 of the DNS servers Designate manages, and any other long-running or otherwise
 complicated piece of work. The worker reads configuration for DNS servers from
 the Designate database, which is populated via the pools.yaml file. These DNS
 server backends are loaded into the worker so it understands how to create,
 update, and delete zones and recordsets on each DNS server. The Worker is
 fully aware of DNS Server 'Pools', so a single worker process can manage many
 pools of DNS servers.

Package: designate-zone-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and

## designate 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,6 @@
 # Requirements lower bounds listed here are our best effort to keep them up to
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
-
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 alembic>=1.8.0 # MIT
 eventlet>=0.26.1 # MIT
 Flask!=0.11,>=0.10 # BSD

=== debian/changelog ===
designate (1:19.0.0-4) unstable; urgency=medium

  * Blacklist 2 infoblox unit tests that are failing (Closes: #1100210).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 12:20:33 +0100

designate (1:19.0.0-3) unstable; urgency=medium

  * Switch to libjs-bootstrap5 (Closes: #1088451).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 15:40:18 +0100

designate (1:19.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090411).
    - Add override_dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:08:45 +0100

designate (1:19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 15:56:36 +0200

designate (1:19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:50:31 +0200

designate (1:19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-infoblox-client as (build-)depends.
  * Removed Fix_unit_tests_depending_on_resolv.conf.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 08:56:18 +0200

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  python3-futurist,
  python3-greenlet,
  python3-hacking,
+ python3-infoblox-client,
  python3-jinja2,
  python3-jsonschema,
  python3-kerberos,
@@ -180,7 +181,7 @@
 Section: doc
 Architecture: all
 Depends:
- libjs-bootstrap,
+ libjs-bootstrap5,
  libjs-jquery,
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst debian/designate-common.postrm
	rm -rf doc/build build *.egg-info
	rm -f debian/*.init debian/*.upstart debian/*.service
	find . -name '*.pyc' -exec rm {} \;
	rm -f ChangeLog
	rm -f AUTHORS
	rm -rf .testrepository
	rm -f doc/source/_static/designate.conf.sample
	rm -rf debian/*.templates debian/po
	rm -f doc/source/_static/designate.policy.yaml.sample
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm designate-common.postrm
	pkgos-merge-templates designate-api designate endpoint
	pkgos-merge-templates designate-common designate db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
        # Blacklist:
        # These 2 unit tests are failing, though I personally don't care about infoblox
        # support: anyone interested supporting such non-free service is welcome to investigate.
        # backend.test_infoblox.BasicInfobloxBackendTestCase.test_create_zone_handle_error
        # backend.test_infoblox.BasicInfobloxBackendTestCase.test_delete_zone_handle_error
	pkgos-dh_auto_test --no-py2 'designate\.tests\.unit\.(?!.*test_pool_manager\.test_service\.PoolManagerInitTest\.test_init_no_pool_targets.*|.*agent.*|.*designate\.tests\.unit\.mdns\.test_handler\.MdnsHandleTest\.test_notify.*|.*test_service\.TestDesignateRpcService.*|.*test_service\.TestDesignateServiceInit.*|.*test_service\.TestServiceInit.*|.*test_service\.TestRpcService.*|.*backend\.test_infoblox\.BasicInfobloxBackendTestCase\.test_create_zone_handle_error.*|.*backend\.test_infoblox\.BasicInfobloxBackendTestCase\.test_delete_zone_handle_error.*)'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/designate-common/usr/share/designate-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf \
		--wrap-width 140 \
		--namespace designate.conf \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace oslo.versionedobjects \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf keystone_authtoken designate

	mkdir -p $(CURDIR)/debian/designate-common/etc/designate/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/designate-common/etc/designate/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace designate

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/designate-common/etc/designate/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf oslo_policy policy_dirs /etc/designate/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf oslo_concurrency lock_path /run/lock/designate

	dh_install
	dh_missing --fail-missing

	# Install other config files
	mkdir -p $(CURDIR)/debian/designate-common/etc/designate
	cp etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	cp -r etc/designate/rootwrap.d $(CURDIR)/debian/designate-common/etc/designate

	cp etc/designate/pools.yaml.sample $(CURDIR)/debian/designate-common/usr/share/designate-common/pools.yaml
	mkdir -p $(CURDIR)/debian/designate-common/usr/share/designate-common/examples
	cp etc/designate/pools.yaml.* $(CURDIR)/debian/designate-common/usr/share/designate-common/examples

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html ; then \
		cat /tmp/sphinx-err-* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## designate 19.1.0

=== debian/changelog ===
designate (1:19.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Refreshed add-new-floatingip-handler.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 27 Jan 2026 13:11:27 +0000

designate (1:19.0.0-5) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:16:09 +0200

## designate 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 alembic>=1.8.0 # MIT
-eventlet>=0.26.1 # MIT
+eventlet>=0.36.0 # MIT
 Flask!=0.11,>=0.10 # BSD
 greenlet>=0.4.15 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
@@ -37,6 +37,6 @@
 oslo.db>=8.3.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.context>=4.0.0 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0

=== debian/changelog ===
designate (1:20.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Apr 2025 14:01:54 +0200

designate (1:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:22:03 +0200

designate (1:20.0.0~rc1-2) unstable; urgency=medium

  * Blacklist failing in Bookworm backports:
    - TestPartitioner.test_three_even_partitions
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 21:05:52 +0100

designate (1:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist tests:
    - BasicInfobloxBackendTestCase.test_create_zone_handle_error
    - BasicInfobloxBackendTestCase.test_delete_zone_handle_error
  * Fix installing /etc/designate/rootwrap.conf as upstream source filename
    changed.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 17:48:51 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-designateclient,
  python3-dnspython,
  python3-edgegrid,
- python3-eventlet,
+ python3-eventlet (>= 0.36.0),
  python3-fixtures,
  python3-flask,
  python3-futurist,
@@ -44,7 +44,7 @@
  python3-oslo.log,
  python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.5.0),
  python3-oslo.reports,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
@@ -315,4 +315,3 @@
 Description: OpenStack DNS as a Service - zone manager
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
  REST API for domain & record management. It is Integrated with Keystone for
- authentication, and provides a framework in place to integrate with Nova and
